Subject: bug#19219: New command-line syntax for package + version?

From: Leo Famulari <[email-masked]>
Date: Fri, 1 Jan 2016 16:45:18 -0500

On Fri, Jan 01, 2016 at 04:25:40PM -0500, Leo Famulari wrote:
> On Fri, Jan 01, 2016 at 04:55:40PM +0100, Ludovic Courtès wrote:
> > Efraim Flashner <[email-masked]> skribis:
> > 
> > > On Wed, 30 Dec 2015 20:16:31 -0500
> > > Leo Famulari <[email-masked]> wrote:
> > >
> > >> On Wed, Dec 30, 2015 at 11:45:14PM +0100, Mathieu Lirzin wrote:
> > >>  [...]  
> > >>  [...]  
> > >>  [...]  
> > >>  [...]  
> > >>  [...]  
> > >>  [...]  
> > >> > 
> > >> > I'm OK with that.  Since choosing the reserved characters is not a
> > >> > technical decision, maybe we could poll users?  
> > >> 
> > >> I think we should poll a big list of packages and see which characters
> > >> are most safe to use.
> > >> 
> > >> The question is: which big list? Debian's?
> > >> 
> > >> 
> > >  
> > > When debian adopted multiarch 
> > 
> > [...]
> > 
> > I forgot to reply to Leo’s message, but it seems clear to me that it
> > only makes sense to discuss on Guix mailing lists.  I don’t think anyone
> > else cares about the syntax of Guix’s command-line interface.  ;-)
> 
> I don't mean that we should discuss it on Debian's mailing list. I mean
> that we should consult the largest list of packages that we can find in
> order to learn which characters are safest to choose as reserved. Debian
> has a very long list of packages.

Of course, Debian has to choose how to name their packages, so the list
provided by `apt-cache pkgnames` is not the same as the list of upstream
names. But it does give some idea of what is possible once everything is
packaged.

I did this:
$ apt-cache pkgnames | tr -d 'a-zA-Z0-9' | tr -d - | tr -d '\n'

The only remaining characters were '.' and '+'. So it could be possible
to reserve : and @ without causing too many problems.

> > Ludo’.